How the **** do i join if i have 1.7.0.9

Status
Not open for further replies.
#1
Tell me I **** put the server name but I can't fucking get to join fucking tell me I want to join I heard that it was a good server so why I can't fucking join
 

Miguel9738

Veteran Inmate
#2
I ask the you please remove the cuss words that you used as they could result in a ban on forums if continued. However, you must be on 1.12.2 to play.
 

Its_Lexie

MODERATOR+
Staff member
#5
First off, better watch the language. Thanks

Second, this is a PC Minecraft server, and we support versions 1.8 -> 1.12.2
 
Status
Not open for further replies.